Subject: Re: bug#14824: 24.3.50; Regression: problem with undo in Mail mode

From: Glenn Morris <[email-masked]>
Date: Mon, 08 Jul 2013 13:47:45 -0400

Richard Stallman wrote:

> I type C-x m rms C-c C-s, and it sends the message.
> (I am using Mail mode.)  The buffer is marked unmodified.
>
> I type 1, and the buffer becomes modified.
> I type C-x u, and it deletes the 1,
> but the buffer is still marked as modified.
>
> In Emacs 23.2, that undo also marks the buffer as unmodified again.
>
> Unfortunately I can't try intermediate versions; they don't
> remain in my machine.

Seems to have nothing to do with Mail mode. Minimal example with current
trunk:

emacs -Q
1
C-x u
    ; buffer still marked modified

Issue not present in 24.3.